package com.ruoyi.kaohe.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 投票记录对象 kh_vote_recard
 * 
 * @author hs
 * @date 2025-06-17
 */
public class KhVoteRecardParam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 评测id */
    @Excel(name = "评测id")
    private Long pcId;

    /** 考核类型id */
    @Excel(name = "考核类型id")
    private Long khitemTypeid;

    /** 考核项id */
    @Excel(name = "考核项id")
    private Long khitemId;

    /** 投票活动id */
    @Excel(name = "投票活动id")
    private Long voteId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 投票人uid */
    @Excel(name = "投票人uid")
    private String uid;

    /** 投票人 */
    @Excel(name = "投票人")
    private String tprName;

    /** 评分详情 */
    @Excel(name = "评分详情")
    private String voteDetails;

    /** 投票时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投票时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date voteTime;

    /** IP */
    @Excel(name = "IP")
    private String ipAddress;

    private List<KhVoteEmp> voteEmpList;

    public Long getKhitemTypeid() {
        return khitemTypeid;
    }

    public void setKhitemTypeid(Long khitemTypeid) {
        this.khitemTypeid = khitemTypeid;
    }

    public Long getPcId() {
        return pcId;
    }

    public void setPcId(Long pcId) {
        this.pcId = pcId;
    }

    public Long getKhitemId() {
        return khitemId;
    }

    public void setKhitemId(Long khitemId) {
        this.khitemId = khitemId;
    }

    public Long getVoteId() {
        return voteId;
    }

    public void setVoteId(Long voteId) {
        this.voteId = voteId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getTprName() {
        return tprName;
    }

    public void setTprName(String tprName) {
        this.tprName = tprName;
    }

    public String getVoteDetails() {
        return voteDetails;
    }

    public void setVoteDetails(String voteDetails) {
        this.voteDetails = voteDetails;
    }

    public Date getVoteTime() {
        return voteTime;
    }

    public void setVoteTime(Date voteTime) {
        this.voteTime = voteTime;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public List<KhVoteEmp> getVoteEmpList() {
        return voteEmpList;
    }

    public void setVoteEmpList(List<KhVoteEmp> voteEmpList) {
        this.voteEmpList = voteEmpList;
    }
}
